---
title: IFB (Institu Français de bio-informatique) Cloud

---

# IFB (Institu Français de bio-informatique) Cloud

[! [cc_by_sa](./img/cc_by_sa.png)] (http://creativecommons.org/licenses/by-sa/4.0/)

Objective: Start and connect to an appliance on the IFB cloud

Instead of working on your computer where you don't have an Unix-like OS or have limited right, we are going to use the [IFB (Institu Français de bio-informatique) Cloud]( https://biosphere.france-bioinformatique.fr/).

## Creating an IFB account

1. Access the [**https://biosphere.france-bioinformatique.fr/**](**https://biosphere.france-bioinformatique.fr/**) website

2. On the top right (First) steps with GNU/Linux

   Instead of working on your computer where you don't have an Unix-like OS or have limited right, we are going to use the [IFB (Institu Français de bio-informatique) Cloud]( https://biosphere.france-bioinformatique.fr/). For this you will need:

   1. Access the [**https://biosphere.france-bioinformatique.fr/**](**https://biosphere.france-bioinformatique.fr/**) website
   2. On the top right of the screen click on <img src="/Users/laurent/Documents/formations/2020_08_UNIX/img/signin_ifb.png" alt="sign in" style="zoom:150%;" />
   3. Then click on ![login](/Users/laurent/Documents/formations/2020_08_UNIX/img/login_ifb.png)
   4. Use the **Incremental search field** to select your identity provider (CNRS / ENS de Lyon / etc.)
   5. Login
   6. Complete the form with your **Name**, **First Name**, **Town** and **Zip Code**. You can ignore the other field and click on **accept**.
   7. Go to your **Groups** parameters on the top right ![group_selection_ifb](/Users/laurent/Documents/formations/2020_08_UNIX/img/group_selection_ifb.png)
   8. Click on ![join_a_group](/Users/laurent/Documents/formations/2020_08_UNIX/img/join_a_group.png) and type **LBMC Unix 2020**
   9. You can click on the **+** sign to register and wait to be accepted in the group

## Starting the LBMC Unix 2020 appliance

To follow this practical you will need to start the **[LBMC Unix 2020](https://biosphere.france-bioinformatique.fr/catalogue/appliance/177/) ** appliance from the [IFB Cloud](https://biosphere.france-bioinformatique.fr/) and click on the ![start](/Users/laurent/Documents/formations/2020_08_UNIX/img/start_VM.png) button after login with your account.

In the IFB jargon, appliance means **virtual machine** (VM). Remember how a universal Turing machine can run any programs ? A virtual machine, is a simulation program, simulating a physical computer. VM's have the following advantages:

- Copies of the VM will be identical (there will be no differences between your running *LBMC Unix 2020 appliance* and mine )
- Upon starting the VM is reset to the *LBMC Unix 2020 appliance* state
- You can break everything in your VM, terminate it and start a new one.

To access to your appliance you can go to the [**myVM** tab](https://biosphere.france-bioinformatique.fr/cloud/)

![myVM tab](/Users/laurent/Documents/formations/2020_08_UNIX/img/my_VM_ifb.png)

You will see the list of your running or starting appliances.

![my appliances](/Users/laurent/Documents/formations/2020_08_UNIX/img/my_appliances_ifb.png)

**Don't forget to terminate your appliances at the end of the session by clicking on** ![rm my appliances ifb.](/Users/laurent/Documents/formations/2020_08_UNIX/img/rm_my_appliances_ifb.png)

You will need to start this appliance at the start of each session of this course and terminate it afterward.

The ![hourglass](/Users/laurent/Documents/formations/2020_08_UNIX/img/wait_my_appliances_ifb.png) symbol indicates that your appliance is starting.

## Accessing the LBMC Unix 2020

You can open the **https** link next to the termination button of your appliance in a new tab. You will have the following message

![ssl warning](/Users/laurent/Documents/formations/2020_08_UNIX/img/ssl_warning.png)

This means that the https connection is encrypted with a certificate unknown to your browser. As this certificate is going to be destroyed when you terminate your appliance, we don't want to pay a certification authority to validate it. Therefore you can safely add an exception for this certificate.

![ssl exception](/Users/laurent/Documents/formations/2020_08_UNIX/img/ssl_exception.png)



The webpage you will load will display only the following line:

```sh
achinea3e18205-1f8c-4ee1-995e-d33ef57afa3c login:
```

To get your identification information you can click on the **Params** next to the **https** link.

**The password and the https links are one of the only things that going to change when you start a new appliance.**

```sh
Password:     
```



To copy / paste your password, you will need to perform a right-click and select **past from the browser.**

![past from browser](/Users/laurent/Documents/formations/2020_08_UNIX/img/shellinabox_past_from_browser.png)

Then paste your password in the dialog box.

Don't worry the password will not be displayed (not even in the form of `*****`, so someone looking at your screen will not be able to guess it's length), you can press **enter** to log on your VM.

[First steps in a terminal.](http://perso.ens-lyon.fr/laurent.modolo/unix/3_first_steps_in_a_terminal.html)